Page MenuHomePhabricator

Unable to unblock an autoblock
Closed, ResolvedPublic

Description

I go to

https://en.wikipedia.org/wiki/Special:AutoblockList

and find the autoblock I'm looking for. I click the "Unblock" link provided in the third column. I type in my reason for unblocking and click "Unblock". An error occurs:

There are problems with some of your input.
#XXXXXXX isn't a valid username.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2018, 8:03 AM
revi added a subscriber: revi.

I can't test without the autoblock number.

revi added a comment.Apr 30 2018, 10:34 AM

I have autoblock number but I didn’t actually did it because it’s enwiki — where all the drama is guaranteed to happen.

Heh, yes, I was overzealous with the privacy concerns, and now someone has unblocked the account completely.

I have instated autoblock #8344604 for testing purposes and attempting to unblock it is giving me the same results.

I would say it is https://gerrit.wikimedia.org/r/#/c/428131/
Changed to always valid the input as username, so it affects all autoblocks

Please also test unblock of IPs and IP ranges

[Special:Block sets "'ipallowed' => true, 'iprange' => true" which is not set on Unblock form]

@Jayprakash12345 Would you have time look into this?

I was able to block and unblock my own IP address. Not going to test a range on the live site.

I would say it is https://gerrit.wikimedia.org/r/#/c/428131/
Changed to always valid the input as username, so it affects all autoblocks

Sorry, I have about 3000 unread emails :(
@Umherirrender Maybe yes, But I tested it on my own IP at hiwikiversity. See https://hi.wikiversity.org/w/index.php?title=विशेष:लॉग&type=block&user=&page=2405%3A205%3A24A2%3A57F3%3A94F%3AAD5%3ACAF2%3A4E78&year=&month=-1&tagfilter=&hide_thanks_log=1&hide_patrol_log=1&hide_tag_log=1

I am not getting any problem, I taked both action with in a minte. hiwikiversity also has 1.32.0-wmf.1 version.

But it is ture that we can't give #8344604 like value in it. So just revert it and see what happen.

Change 430038 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@master] Revert "Remove cssclass in the favor of 'type' => 'user'"

https://gerrit.wikimedia.org/r/430038

Change 430039 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[mediawiki/core@wmf/1.32.0-wmf.1] Revert "Remove cssclass in the favor of 'type' => 'user'"

https://gerrit.wikimedia.org/r/430039

Change 430038 merged by jenkins-bot:
[mediawiki/core@master] Revert "Remove cssclass in the favor of 'type' => 'user'"

https://gerrit.wikimedia.org/r/430038

Change 430039 abandoned by Jayprakash12345:
Revert "Remove cssclass in the favor of 'type' => 'user'"

Reason:
Not Needed

https://gerrit.wikimedia.org/r/430039

Should we close it?

What am I verifying?

Jayprakash12345 closed this task as Resolved.May 26 2018, 4:12 AM
Jayprakash12345 claimed this task.
Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptMay 26 2018, 4:12 AM
Vvjjkkii renamed this task from Unable to unblock an autoblock to pzdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jayprakash12345 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Jayprakash12345 renamed this task from pzdaaaaaaa to Unable to unblock an autoblock.Jul 2 2018, 9:54 AM
Jayprakash12345 closed this task as Resolved.
Jayprakash12345 claimed this task.
Jayprakash12345 raised the priority of this task from High to Needs Triage.
Jayprakash12345 updated the task description. (Show Details)